Skip to main content
POST
Swap Subscription Product

Authorizations

X-Zaymo-API-Key
string
header
required

Zaymo will authenticate requests using the API key you provide

Body

application/json

Customer information and swap details for changing a current subscription item to a new product

email
string<email>
required

The email address of the customer

current_item_id
string
required

The unique identifier of the customer's current subscription item, from GET /zaymo/customer-portal/subscription -> items[].id

new_product_id
string
required

The unique identifier for the product to swap to, from GET /zaymo/upsells/products

discount_code
string

Optional discount code to apply to the swapped product or subscription

Response

Subscription item successfully swapped

success
boolean
required

Indicates if the request was successful

Example:

true